/*
    Se van a crear todas las variables a usar en el proyecto.
    Unicamente se van a compilar dentro del main.css.
*/





/*------------------------------------*\
    #Tamaños de pantalla
\*------------------------------------*/

$xs: 360px;
$sm: 550px;
$md: 720px;
$lg: 1024px;
$xl: 1260px;
$xx: 1480px;





/*------------------------------------*\
    #Media-querys
\*------------------------------------*/

$mq-xs: 'screen and (min-width: #{$xs})';
$mq-sm: 'screen and (min-width: #{$sm})';
$mq-md: 'screen and (min-width: #{$md})';
$mq-lg: 'screen and (min-width: #{$lg})';
$mq-xl: 'screen and (min-width: #{$xl})';
$mq-xx: 'screen and (min-width: #{$xx})';




/*
    Todas las variables aqui pertenecen a css, y deben ir despues que las
    de sass, ya que los @media se usan con variables de sass.
*/
:root {


    /*------------------------------------*\
        #Tipografia
    \*------------------------------------*/

    //  Tipografía pincipal
    --font-title: 'Josefin Sans',
        sans-serif,
        Arial,
        Helvetica;

    //  Tipografía secundaria
    --font-text: 'Montserrat',
        sans-serif,
        Arial,
        Helvetica;





    /*------------------------------------*\
        #Colores
    \*------------------------------------*/

    //  Colores del proyecto
    --brand-primary: #1E6EA6;
    --brand-secondary: #024881;

    //  Colores base
    --black: #2d2f31;
    --white: #dce0e4;

    --gray-darker: #202020;
    --gray-dark: #2f3640;
    --gray: #535c68;
    --gray-light: #939ba5;
    --gray-lighter: #bdc3c7;

    //  Colores de alertas
    --color-warning: #f39c12;
    --color-error: #c0392b;
    --color-important: #8e44ad;
    --color-login: #27ae60;
    --color-logout: #2980b9;

    //  Colores screen
    --color-base: #942BA8;
    --color-xs: #EE5A24;
    --color-sm: #168882;
    --color-md: #c47e29;
    --color-lg: #c00f35;
    --color-xl: #009432;
    --color-xx: #3742fa;





    /*------------------------------------*\
        #Tamaños
    \*------------------------------------*/

    // Tamaño de letra base del proyecto
    --font-project: 16px;

    // Ritmo vertical del proyecto
    --ritmo: 1.75;

    // Interlineado base de todos los textos
    --spaced-text: calc(1em * var(--ritmo));

    // Tamaños para la cuadrÍcula
    --grid-wrapp: calc(var(--font-project) * var(--ritmo));
    --grid-hub: calc(var(--grid-wrapp) / 2);
    --grid: calc(var(--grid-hub) / 2);



    /*
        Estos tamaños únicamente deben ser usados en tamaños de fuente.
        .......
        Estos tamaños se deben ajustar al modificar el tamaño de letra
        base del proyecto, ya que las medidas que están en color gris
        no van a corresponder con las reales si se llegan a cambiar.
    */

    // Tamaños de los textos
    --txt-base: calc(var(--font-project) / 4);      //  4px      BASE
    --txt-2: calc(var(--font-project) / 2);         //  8px
    --txt-3: calc(var(--txt-base) * 3);             //  12px
    --txt-4: var(--font-project);                   //  16px     ESTANDAR
    --txt-5: calc(var(--txt-base) * 5);             //  20px
    --txt-6: calc(var(--txt-base) * 6);             //  24px
    --txt-7: calc(var(--txt-base) * 7);             //  28px
    --txt-8: calc(var(--txt-base) * 8);             //  32px
    --txt-9: calc(var(--txt-base) * 9);             //  36px
    --txt-10: calc(var(--txt-base) * 10);           //  40px
    --txt-12: calc(var(--txt-base) * 12);           //  48px
    --txt-14: calc(var(--txt-base) * 14);           //  56px
    --txt-16: calc(var(--txt-base) * 16);           //  64px



    /*
        Estos tamaños nunca deben ser usados en tamaños de fuente.
        .......
        Estos tamaños se deben ajustar al modificar el tamaño de letra
        base del proyecto, ya que las medidas que están en color gris
        no van a corresponder con las reales si se llegan a cambiar.
    */

    // Tamaños de cajas
    --box-base: var(--grid);                        //  7px      BASE
    --box-2: calc(var(--box-base) * 2);             //  14px
    --box-3: calc(var(--box-base) * 3);             //  21px
    --box-4: calc(var(--box-base) * 4);             //  28px     ESTANDAR
    --box-5: calc(var(--box-base) * 5);             //  35px
    --box-6: calc(var(--box-base) * 6);             //  42px
    --box-7: calc(var(--box-base) * 7);             //  49px
    --box-8: calc(var(--box-base) * 8);             //  56px
    --box-9: calc(var(--box-base) * 9);             //  63px
    --box-10: calc(var(--box-base) * 10);           //  70px
    --box-12: calc(var(--box-base) * 12);           //  84px
    --box-14: calc(var(--box-base) * 14);           //  98px
    --box-16: calc(var(--box-base) * 16);           //  112px
    --box-18: calc(var(--box-base) * 18);           //  126px
    --box-20: calc(var(--box-base) * 20);           //  140px
    --box-22: calc(var(--box-base) * 22);           //  154px
    --box-24: calc(var(--box-base) * 24);           //  168px
    --box-28: calc(var(--box-base) * 28);           //  196px
    --box-36: calc(var(--box-base) * 36);           //  252px
    --box-40: calc(var(--box-base) * 40);           //  280px
    --box-48: calc(var(--box-base) * 48);           //  336px
    --box-56: calc(var(--box-base) * 56);           //  392px
    --box-64: calc(var(--box-base) * 64);           //  448px



    // Tamaños para bordes de cajas
    --edge-sm: 0.25em;
    --edge-md: 0.75em;
    --edge-lg: 1.5em;
    --edge-xx: 2.5em;



    /*------------------------------------*\
        #Variables generales del pryecto
    \*------------------------------------*/

    --nav-height: var(--box-8);

    @media #{$mq-lg} {--nav-height: var(--box-10);}
}
